package core_kernel

  1. Overview
  2. Docs
Industrial strength alternative to OCaml's standard library

Install

Dune Dependency

Authors

Maintainers

Sources

core_kernel-v0.16.0.tar.gz
sha256=e37370bad978cfb71fdaf2b1a25ab1506b98ef0b91e0dbd189ffd9d853245ce2

Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Core_kernel is the system-independent part of Core.

Published: 14 Jun 2023

Dependencies (8)

  1. dune >= "2.0.0"
  2. base-threads
  3. ppx_optcomp >= "v0.16" & < "v0.17"
  4. ppx_jane >= "v0.16" & < "v0.17"
  5. int_repr >= "v0.16" & < "v0.17"
  6. core >= "v0.16" & < "v0.17"
  7. base >= "v0.16" & < "v0.17"
  8. ocaml >= "4.14.0"

Dev Dependencies

None

  1. alcotest-async < "1.0.0"
  2. async >= "v0.16.0"
  3. async_durable >= "v0.16.0"
  4. async_extra >= "v0.16.0"
  5. async_kernel >= "v0.16.0"
  6. async_unix >= "v0.16.0"
  7. async_websocket >= "v0.16.0"
  8. bap-abi >= "2.2.0" & < "2.4.0"
  9. bap-analyze < "2.4.0"
  10. bap-api >= "2.2.0" & < "2.4.0"
  11. bap-arm >= "2.2.0" & < "2.4.0"
  12. bap-beagle >= "2.2.0" & < "2.4.0"
  13. bap-beagle-strings < "2.4.0"
  14. bap-bil >= "2.2.0" & < "2.4.0"
  15. bap-build >= "2.2.0" & < "2.4.0"
  16. bap-bundle >= "2.2.0" & < "2.4.0"
  17. bap-byteweight >= "2.2.0" & < "2.4.0"
  18. bap-byteweight-frontend >= "2.2.0" & < "2.4.0"
  19. bap-c >= "2.2.0" & < "2.4.0"
  20. bap-cache >= "2.2.0" & < "2.4.0"
  21. bap-callgraph-collator < "2.4.0"
  22. bap-core-theory >= "2.2.0" & < "2.4.0"
  23. bap-demangle >= "2.2.0" & < "2.4.0"
  24. bap-dependencies < "2.4.0"
  25. bap-disassemble >= "2.2.0" & < "2.4.0"
  26. bap-dump-symbols >= "2.2.0" & < "2.4.0"
  27. bap-dwarf >= "2.2.0" & < "2.4.0"
  28. bap-elf >= "2.2.0" & < "2.4.0"
  29. bap-frontend >= "2.2.0" & < "2.4.0"
  30. bap-future >= "2.2.0" & < "2.4.0"
  31. bap-glibc-runtime >= "2.2.0" & < "2.4.0"
  32. bap-ida >= "2.2.0" & < "2.4.0"
  33. bap-ida-plugin >= "2.2.0" & < "2.4.0"
  34. bap-knowledge >= "2.2.0" & < "2.4.0"
  35. bap-llvm >= "2.2.0" & < "2.4.0"
  36. bap-mc >= "2.2.0" & < "2.4.0"
  37. bap-microx >= "2.2.0" & < "2.4.0"
  38. bap-mips >= "2.2.0" & < "2.4.0"
  39. bap-objdump >= "2.2.0" & < "2.4.0"
  40. bap-optimization >= "2.2.0" & < "2.4.0"
  41. bap-phoenix >= "2.2.0" & < "2.4.0"
  42. bap-plugins >= "2.2.0" & < "2.4.0"
  43. bap-powerpc >= "2.2.0" & < "2.4.0"
  44. bap-primus >= "2.2.0" & < "2.4.0"
  45. bap-primus-lisp >= "2.2.0" & < "2.4.0"
  46. bap-primus-loader < "2.4.0"
  47. bap-primus-powerpc >= "2.2.0" & < "2.4.0"
  48. bap-primus-print < "2.4.0"
  49. bap-primus-propagate-taint < "2.4.0"
  50. bap-primus-random >= "2.2.0" & < "2.4.0"
  51. bap-primus-symbolic-executor >= "2.2.0" & < "2.4.0"
  52. bap-primus-systems >= "2.2.0" & < "2.4.0"
  53. bap-print >= "2.2.0" & < "2.4.0"
  54. bap-radare2 < "2.4.0"
  55. bap-raw >= "2.2.0" & < "2.4.0"
  56. bap-relocatable >= "2.2.0" & < "2.4.0"
  57. bap-riscv < "2.4.0"
  58. bap-specification < "2.4.0"
  59. bap-std >= "2.2.0" & < "2.4.0"
  60. bap-strings >= "2.2.0" & < "2.4.0"
  61. bap-stub-resolver >= "2.2.0" & < "2.4.0"
  62. bap-symbol-reader >= "2.2.0" & < "2.4.0"
  63. bap-systemz < "2.4.0"
  64. bap-taint >= "2.2.0" & < "2.4.0"
  65. bap-term-mapper >= "2.2.0" & < "2.4.0"
  66. bap-thumb < "2.4.0"
  67. bap-trace >= "2.2.0" & < "2.4.0"
  68. bap-traces >= "2.2.0" & < "2.4.0"
  69. bap-x86 >= "2.2.0" & < "2.4.0"
  70. bare >= "2.2.0" & < "2.4.0"
  71. bio_io >= "0.3.0" & < "0.5.1"
  72. biocaml >= "0.11.0" & < "0.11.2"
  73. biotk >= "0.2.0"
  74. bonsai >= "v0.16.0"
  75. capnp >= "3.0.0" & < "3.2.0"
  76. caqti-async >= "1.3.0" & < "1.9.0"
  77. clp_operations
  78. comby-semantic
  79. core_bench >= "v0.16.0"
  80. core_profiler >= "v0.16.0"
  81. core_unix >= "v0.16.0"
  82. cstruct-async >= "3.0.2" & < "6.1.0"
  83. dbf = "0.1.1"
  84. ecaml >= "v0.16.0"
  85. email_message >= "v0.16.0"
  86. file_path >= "v0.16.0"
  87. flow_parser >= "0.159.0"
  88. fzf >= "v0.16.0"
  89. git < "1.3.0"
  90. graphlib >= "2.2.0" & < "2.4.0"
  91. hack_parallel = "1.0.0"
  92. hardcaml >= "v0.16.0"
  93. hg_lib >= "v0.16.0"
  94. incremental >= "v0.16.0"
  95. irmin < "0.9.0"
  96. janestreet_cpuid
  97. janestreet_csv
  98. jsonxt
  99. lablqt
  100. libsvm = "0.9.3" | >= "0.10.0"
  101. memtrace_viewer >= "v0.16.0"
  102. monads >= "2.2.0" & < "2.4.0"
  103. ogre >= "2.2.0" & < "2.4.0"
  104. oloop
  105. opium >= "0.12.0" & < "0.15.0"
  106. patdiff >= "v0.16.0"
  107. pgx_value_core
  108. plotkicadsch >= "0.5.0" & < "0.7.0"
  109. polars
  110. polling_state_rpc
  111. portmidi
  112. postgres_async >= "v0.16.0"
  113. ppx_css >= "v0.16.0"
  114. prc
  115. pyml_bindgen < "0.4.1"
  116. randoml
  117. redis-async >= "v0.16.0"
  118. reed-solomon-erasure
  119. regular >= "2.2.0" & < "2.4.0"
  120. rpc_parallel >= "v0.16.0"
  121. SZXX < "2.0.0"
  122. sexp >= "v0.16.0"
  123. sociaml-facebook-api
  124. sociaml-oauth-client
  125. sociaml-tumblr-api >= "0.2.0"
  126. streamable
  127. textutils >= "v0.16.0"
  128. topology >= "0.4.0"
  129. tracing >= "v0.16.0"
  130. vcaml >= "v0.16.0"
  131. virtual_dom >= "v0.16.0"
  132. zstandard >= "v0.16.0"

Conflicts

None